/*******************************************************************************
 *	BMutex.cc	BMutex Classes
 *			T.Barnaby,	BEAM Ltd,	1/11/02
 *******************************************************************************
 */
#include <BMutex.h>

BMutex::BMutex(){
	pthread_mutex_init(&omutex, 0);
}

BMutex::BMutex(const BMutex& mutex){
	pthread_mutex_init(&omutex, 0);
}

BMutex& BMutex::operator=(const BMutex& mutex){
	return *this;
}

BMutex::~BMutex(){
	pthread_mutex_destroy(&omutex);
}

int BMutex::lock(){
	return pthread_mutex_lock(&omutex);
}

int BMutex::unlock(){
	return pthread_mutex_unlock(&omutex);
}

int BMutex::tryLock(){
	return pthread_mutex_trylock(&omutex);
}
